package org.processmining.big4prom.models;

import java.util.HashMap;

import org.deckfour.xes.model.XLog;
import org.jgrapht.DirectedGraph;

public class ModelResult {
	
	private HashMap<Integer, DirectedGraph<String, org.jgrapht.graph.DefaultEdge>> res;
	private XLog event_log;

	public ModelResult(HashMap<Integer, DirectedGraph<String, org.jgrapht.graph.DefaultEdge>> model) {
		super();
		this.res = model;
	}

	public HashMap<Integer, DirectedGraph<String, org.jgrapht.graph.DefaultEdge>> getRes() {
		return this.res;
	}

	public void setRes(HashMap<Integer, DirectedGraph<String, org.jgrapht.graph.DefaultEdge>> res) {
		this.res = res;
	}

	public XLog getLog() {
		return event_log;
	}

	public void setLog(XLog event_log) {
		this.event_log = event_log;
	}

}
